package com.ff.base.enums;

import lombok.Getter;

/**
 * 活动任务状态
 *
 * @author shang
 */
@Getter
public enum ActivityStatus {

    DRAFT(0, "草稿"),
    UNDER_REVIEW(1, "审核中"),
    IN_PROGRESS(2, "进行中"),
    MANUALLY_CLOSED(3, "手动关闭"),
    EXPIRED_CLOSED(4, "过期关闭"),
    DELETE(5, "已删除");

    private final Integer code;
    private final String info;

    ActivityStatus(Integer code, String info) {
        this.code = code;
        this.info = info;
    }
}
